Bug 191552 - [patch] sysutils/apcupsd: Add PDF distfile checksum, Unmark BROKEN
Summary: [patch] sysutils/apcupsd: Add PDF distfile checksum, Unmark BROKEN
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-02 12:25 UTC by quickfox
Modified: 2015-03-29 11:00 UTC (History)
4 users (show)

See Also:


Attachments
Add distinfo for apcupsd.pdf (1.14 KB, patch)
2014-07-02 12:25 UTC, quickfox
koobs: maintainer-approval? (itetcu)
Details | Diff
Stagify port and remove PDF documentation (4.24 KB, patch)
2014-07-04 07:13 UTC, cyberleo
no flags Details | Diff
Stagify port and remove PDF documentation (4.48 KB, patch)
2014-07-04 07:24 UTC, cyberleo
no flags Details | Diff
Stagify port and remove PDF documentation (3.81 KB, patch)
2014-07-04 07:47 UTC, cyberleo
no flags Details | Diff
Stagify port and remove PDF documentation (3.81 KB, patch)
2014-07-04 08:01 UTC, cyberleo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description quickfox 2014-07-02 12:25:59 UTC
Created attachment 144334 [details]
Add distinfo for apcupsd.pdf

The sysutils/apcupsd port is marked as broken because no distinfo is provided for some of the distfiles.

The attached patch adds distinfo for apcupsd.pdf.

Is this enough?
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-07-04 00:30:19 UTC
Over to maintainer.
Comment 2 cyberleo 2014-07-04 07:13:02 UTC
Created attachment 144388 [details]
Stagify port and remove PDF documentation

Presumably apcupsd.pdf was distinfo-ignored because it changes whenever anyone updates or regenerates the live documentation. Is it really necessary to include it? This patch removes it entirely.

This patch also stagifies.
Comment 3 cyberleo 2014-07-04 07:24:40 UTC
Created attachment 144389 [details]
Stagify port and remove PDF documentation

Presumably apcupsd.pdf was distinfo-ignored because it changes whenever anyone updates or regenerates the live documentation. Is it really necessary to include it? This patch removes it entirely.

This patch also stagifies.
Comment 4 cyberleo 2014-07-04 07:47:01 UTC
Created attachment 144393 [details]
Stagify port and remove PDF documentation
Comment 5 cyberleo 2014-07-04 08:01:03 UTC
Created attachment 144395 [details]
Stagify port and remove PDF documentation

I really need to stop doing this while tired; or else figure out how to delete comments.
Comment 6 commit-hook freebsd_committer 2014-07-06 17:56:47 UTC
A commit references this bug:

Author: itetcu
Date: Sun Jul  6 17:56:43 UTC 2014
New revision: 360948
URL: http://svnweb.freebsd.org/changeset/ports/360948

Log:
  - Don't install documentation PDF file, it changes more frequently that I mange
  to chase it
  - bump PORTREVISION for above plist change
  -

  PR:		191552
  Submitted by:	"quickfox"
  MFH:		2 weeks

Changes:
  head/sysutils/apcupsd/Makefile
Comment 7 Bartek Rutkowski freebsd_committer 2015-03-29 11:00:20 UTC
The fix has been already committed, so I am closing this PR.